Skip to main content
`Ctrl`+`K`

# MatGetTransposeNullSpace

retrieves the null space of the transpose of a matrix.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetTransposeNullSpace(Mat mat, MatNullSpace *nullsp)

Logically Collective

## Input Parameters

- mat - the matrix

- nullsp - the null space object

## See Also

Matrices, `Mat`, `MatNullSpace`, `MatCreate()`, `MatNullSpaceCreate()`, `MatSetNearNullSpace()`, `MatSetTransposeNullSpace()`, `MatSetNullSpace()`, `MatGetNullSpace()`

## Level

developer

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages